.TH BORE 1 "Jan 16 1996" "Stanford University" "SUIF Compiler"
.SH NAME
bore \- do miscellaneous code transformations
.SH SYNOPSIS
.B bore
[
.I options
]
.I infile
.I outfile
{
.I infile
.I outfile
}*
.SH DESCRIPTION
The
.I bore
program does miscellaneous code transformations.  The distinguishing
feature of
.I bore
compared to other transformation programs such as
.I porky
is that
.I bore
does not build expression trees.  Instead it maintains the low-level
instruction ordering.
.SH OPTIONS
.TP
.B \-spill-instr-ops
This causes all instruction operands (the structure of expression
trees) to be spilled to variables.
.TP
.B \-build-instr-ops
This causes instruction operands to replace single-def, single-use
variables wherever possible, more or less undoing the results of the
.B \-spill-instr-ops
pass and allowing expression trees to be built by later passes.
.TP
.BI \-spill-prefix " pref"
This causes the
.B \-spill-instr-ops
pass to use
.I pref
as the prefix for spill variables it creates.  The new variables will
use
.I pref
followed by a positive decimal integer as their names.  The default
prefix is ``_spill''.
.SH HISTORY
This program was written by Chris Wilson.
